phpMyAdmin - ChangeLog
======================

4.5.4.1 (2016-01-29)
- issue #11892 Error with PMA 4.4.15.3
- issue #11896 Remove hard dependency on phpseclib

4.5.4.0 (2016-01-28)
- issue #11724 live data edit of big sets is not working
- issue        Table list not saved in db QBE bookmarked search
- issue #11777 While 'changing a column', query fails with a syntax error after the 'CHARSET=' keyword
- issue #11783 Avoid syntax error in javascript messages on invalid PHP setting for max_input_vars
- issue #11784 Properly handle errors in upacking zip archive
- issue #11785 Set PHP's internal encoding to UTF-8
- issue #11786 Fixed Kanji encoding in some specific cases
- issue #11787 Check whether iconv works before using it
- issue #11788 Avoid conversion of MySQL error messages
- issue #11792 Undefined index: parameters
- issue #11802 Undefined index: field_name_orig
- issue        Undefined index: host
- issue #11810 'Add to central columns' (per column button) does nothing
- issue #11727 SQL duplicate entry error trying to INSERT in designer_settings table
- issue #11798 Fix handling of databases with dot in a name
- issue #11820 Fix hiding of page content behind menu
- issue #11780 FROM clause not generated after loading search bookmark
- issue #11826 Fix creating/editing VIEW with DEFINER containing special chars
- issue #11828 Do not invoke FLUSH PRIVILEGES when server in --skip-grant-tables
- issue #11804 Misleading message for configuration storage
- issue #11772 Table pagination does nothing when session expired
- issue #11840 Index comments not working properly
- issue #11791 Better handle local storage errors
- issue #11752 Improve detection of privileges for privilege adjusting
- issue #11854 Undefined property: stdClass::$releases at version check when disabled in config
- issue #11814 SQL comment and variable stripped from bookmark on save
- issue        Gracefully handle errors in regex based javascript search
- issue        [Security] Multiple full path disclosure vulnerabilities, see PMASA-2016-1
- issue        [Security] Unsafe generation of CSRF token, see PMASA-2016-2
- issue        [Security] Multiple XSS vulnerabilities, see PMASA-2016-3
- issue        [Security] Insecure password generation in JavaScript, see PMASA-2016-4
- issue        [Security] Unsafe comparison of CSRF token, see PMASA-2016-5
- issue        [Security] Multiple full path disclosure vulnerabilities, see PMASA-2016-6
- issue        [Security] XSS vulnerability in normalization page, see PMASA-2016-7
- issue        [Security] Full path disclosure vulnerability in SQL parser, see PMASA-2016-8
- issue        [Security] XSS vulnerability in SQL editor, see PMASA-2016-9

4.5.3.1 (2015-12-25)
- issue #11774 Undefined offset 2
- issue        [Security] Path disclosure, see PMASA-2015-6

4.5.3.0 (2015-12-23)
- issue #11744 Incomplete results of UNION ALL
- issue #11742 MATCH AGAINST keywords not recognized
- issue #11723 syntax verifier is not knowing "STRAIGHT_JOIN"
- issue #11699 REPLACE() function confused with REPLACE statement
- issue #11690 FLUSH word not recognized by parser
- issue #11664 Online syntax verifier bug - "IF" on SELECT statement
- issue #11665 Format breaks query with COUNT()
- issue        Undefinex index: SendErrorReports
- issue        Incorrect script name in include
- issue #11685 Warning: Invalid argument supplied for foreach()
- issue #11687 Delimiter missing while exporting multiple db routines
- issue #11684 mysql_native_password with MariaDB bug
- issue #11693 Flush privileges overusage - related to #11597
- issue #11691 Query was empty on creating User in 4.5.2
- issue #11695 PMA_getDataForDeleteUsers() warning
- issue #11698 Cannot create user on Percona Server
- issue        Properly report error on connecting
- issue #11706 Database export template not saving compression option
- issue #11721 Fix single quote export for servers in ANSI_QUOTES mode
- issue #11714 Avoid duplicite fetching of table information
- issue #11724 Temporary fix for live data edit of big sets is not working
- issue        IE 8 compatibility in console
- issue #11732 Exporting feature does not work with union table
- issue #11728 CSV import skip row count after
- issue #11679 Cannot export results of some queries
- issue #11720 Message "An account already exists..." incorrectly displayed
- issue #11758 Missing quoting of table in ALTER CONVERT query
- issue #11752 PMA 4.5.2 breaks MySQL Master-Master Cluster
- issue #11757 Export and preview show different SQL for character set
- issue #11749 Fix possible undefined variables in table operations

4.5.2.0 (2015-11-23)
- issue #11589 Incorrect parameter in mysqli_fetch_fields()
- issue #11592 Missing headers in zipped export
- issue #11590 Parser: Array to string conversion
- issue #11597 Huge binary log growth on 4.5.x
- issue #11594 'only_db' config option bug when db names contain underscore and are grouped
- issue #11607 Unable to change password from Login information tab
- issue #11610 Undefined variable: res_rel
- issue #11611 Warning while exporting schema to PDF
- issue #11612 Undefined index: new_row_format
- issue #11605 Changing hostname kills password
- issue #11614 Undefined variable: db
- issue #11627 CREATE TABLE/INSERT INTO executed twice (ctrl+enter)
- issue #11630 Warning: mysqli_fetch_array() expects parameter 1 to be mysqli_result, boolean given
- issue #11632 Exporting GIS visualization ignores start and row count
- issue #11476 Errors instead of git info when PHP has no gzip support
- issue #11633 CodeMirror tooltip shows below modal window
- issue #11639 Bug with the MainBackground Color
- issue        Profiling checkbox is missing
- issue #11642 Properly handle session expiry after POST requests
- issue #11648 Notice in ./export.php#214 Undefined index: quick_or_custom
- issue #11646 Unrecognized keywords
- issue #11635 Sql not executed properly
- issue #11631 Linter warnings when creating new user
- issue #11626 wrong row count for query results
- issue #11608 Analyzer doesn't recognize GRANT statements
- issue #11602 Parser warnings (subqueries)
- issue #11658 Collation column is empty in table Structure
- issue #11661 Error changing table's column encoding

4.5.1.0 (2015-10-23)
- issue        Invalid argument supplied for foreach()
- issue        array_key_exists() expects parameter 2 to be array
- issue #11480 Notice Undefined index: drop_database
- issue #11486 Server variable edition in ANSI_QUOTES sql_mode: losing current value
- issue #11491 Propose table structure broken
- issue #11464 phpMyAdmin suggests upgrading to newer version not usable on that system
- issue #11495 'PMA_Microhistory' is undefined
- issue #11496 Incorrect definition for getTablesWhenOpen()
- issue #11500 Error when creating new user on MariaDB 10.0.21
- issue #11505 Notice on htmlspecialchars()
- issue        Notice in Structure page of views
- issue #11510 AUTO_INCREMENT always exported when IF NOT EXISTS is on
- issue #11516 Some partitions are missing in copied table
- issue #11521 Notice of undefined variable when performing SHOW CREATE
- issue #11509 Error exporting sql query results with table alias
- issue #11512 SQL editing window does not recognise 'OUTER' keyword in 'LEFT OUTER JOIN'
- issue #11518 "NOT IN" clause not recognized (MySQL 5.6 and 5.7)
- issue #11524 Yellow star does not change in database Structure after add/remove from favorites
- issue #11531 Invalid SQL in table definition when exporting table
- issue #11526 Foreign key to other database's tables fails
- issue #11519 Bug while exporting results when a joined table field name is in SELECT query
- issue #11522 Strange behavior on table rename
- issue #11539 Rename table does not result in refresh in left panel
- issue #11541 Missing arguments for PMA_Table::generateAlter()
- issue #11544 Notices about undefined indexes on structure pages of information_schema tables
- issue        Change minimum PHP version for Composer
- issue #11542 Import parser and backslash
- issue #11546 "Visualize GIS data" seems to be broken
- issue #11548 Confirm box on "Reset slave" option
- issue        Fix cookies clearing on version change
- issue #11558 Cannot execute SQL with subquery
- issue #11520 Incorrect syntax creating a user using mysql_native_password with MariaDB
- issue #11561 Cannot use third party auth plugins

4.5.0.2 (2015-09-25)
- issue #11497 Incorrect indexes when exporting

4.5.0.1 (2015-09-24)
- issue #11492 AUTO_INCREMENT statements are partly missing from exports

4.5.0.0 (2015-09-23)
+ rfe          Pagination for GIS visualization
+ issue #6207  Usability improvements for console
+ issue #6310  Access to Add columns text-box and Go button when creating table
+ issue #6007  Add lock tables, disable keys options
+ issue #6306  Additional page locking
+ issue #6314  Support MySQL 5.7 syntax for password change
+ issue #6319  Display/edit index name
+ issue #6318  Toggle autocomplete of table and column names
+ issue #5633  Manage multiple variable in bookmarked query
+ issue #5642  Show edit/delete also when there is calculated column
+ issue #6313  Show databases as list instead of as dropdown when no database is selected
+ rfe          Optional dark theme for the console
+ issue #5053  PDF schema sort options
+ issue #5543  Structure in PDF export
+ issue #6327  Have ZeroConf create phpmyadmin DB if possible
+ issue #5462  Warning before silent data conversion/truncation
+ issue #6338  Support a default page in designer
+ issue #6339  Allow copying mutiple rows
+ issue #6334  No SQL query for loading data
+ issue #6341  New data validation feature and datetime type
+ issue #6324  Importing and exporting pMA meta-data
+ issue #6330  Add grouping to stored procedures in the navigation tree
+ issue #6275  Support IPv6 browser transformation
+ rfe          Option groups for 'With selected' dropdown in database structure page
+ issue #6347  Support CHECKSUM TABLE operation
+ issue #6088  Support for Paramaters with raw SQL
+ issue #5844  Show original size of truncated columns
+ issue #6114  Explain analyzer
+ issue #6186  Add "Drop partition" option to partition tools
+ issue #6354  Procedures window shift-click should select multiple rows
+ issue #6355  Designer: "Sticky" menu option
+ issue #6357  Directly show table comments in structure view
+ issue #6259  Page-related settings
+ issue #5356  Alter privileges when renaming or copying a database
- issue #11256 Slowness due to large number of routines
- issue #11258 GROUP_CONCAT shown as GROUPBY_CONCAT in CodeMirror autocomplete
+ issue #5946  Work with --skip-grant-tables
- issue #11266 "Sort by key" drop-down value is lost
+ issue #6287  Browse: improve display of right-aligned data
- issue #11265 Textarea rows settings ignored Features > Text fields
+ issue #6358  MIME types should be lower case
- issue #11226 Drop table doesn't remove the table name from navigation bar
+ issue #6360  MySQL and MariaDB functions INET6_ATON and INET6_NTOA
- bug          Link to get real row counts of all the views in a db, at once
- issue #11275 Drizzle version numbers
+ issue #5400  Rewrite print view using CSS; fixes print view failures on multi-query statements
+ issue #6362  Support spatial indexes in table create form
+ issue #6068  Use CTRL or ALT plus arrow keys for navigation in grid editor
+ rfe          Remove support for Shift + Click on function name to apply to all rows in insert/edit page
+ issue #6326  Don't group tables in tree if the result has only one group
- issue #11287 When hide table structure actions is false, action should be in a row
+ issue #5425  Batch changing the collation of each column in a table
- issue #10918 QBE generates wrong query
+ issue #6292  Use plain English descriptors instead of script names for icon link destinations
+ issue #6239  Disable foreign key checks for some operations
- issue #11296 "With selected" links doesn't work in table browse
- issue #11166 Query builder: missing joint for the intermediary table
+ issue #6251  Integrate SQL debugging into console
- issue #11061 Improve/restore non-unique index row editing
- issue #11301 MySQL errors are not shown when DebugSQL is enabled
+ issue #5037  One file per table and one file per database export option
+ issue #5759  Designer settings should be part of saved state
+ issue #6257  Option to remove functions, procedures, etc., from navigation tree
+ issue #5388  Column privileges and update
+ issue #6231  Cant use external config file
+ issue #6252  CSV import: Allow "Columns escaped with" to be optional
+ issue #6262  Being able to use multiple servers at the same time when using cookie auth
+ issue #6301  select structure or data for each table when exporting
- issue #11261 Autocomplete completes the original table name when joining multiple aliased tables
+ rfe          Remove configuration storage data related to a user upon deleting the user
+ issue #6298  Improved processlist for mariadb
+ issue #6300  Warn about "Any user" potential problem
+ issue #6368  Hide/disable edit links for read-only variables
+ issue #6365  Human readable/writable URLs (html5 api)
+ rfe          Support virtual columns in MySQL 5.7.5+
+ issue #6215  Support for virtual/persistent columns in MariaDB
- issue #11314 Undefined <feature>work upon upgrade to new version
- issue #1817  Creating configuration storage tables fail in MySQL 5.7
- issue #6118  Parser does not handle nested selects
- issue #5437  Support SELECT ... FROM DUAL
- issue #4962  Support UNION
- issue #11322 Missing null checkbox when grid editing a null cell
+              Upgrade TCPDF to version 6.2.9
+ issue #6102  Add SHA256 security password support
- issue #10250 Displayed git revision info is not set
+              Improved schema SVG export
- issue #10726 Do not try to set port 80 for https requests
+ issue #11394 Export/import Designer view
+              Partition support in table Structure
+ issue #11414 Unclear export options / organization / hierarchy
               Set minimum required PHP version to 5.5 (older versions are EOL)
- issue #11407 ALTER TABLE failing on import when table exists
- issue        Do not export `sys` database when exporting server
- issue #11436 CREATE DATABASE should be enabled by default on server exports
- issue #11442 MySQL 5.7 and SHOW VARIABLES
- issue #11445 MySQL 5.7 and Status page for an unprivileged user
- issue #11448 Clarify doc about the MemoryLimit directive
- issue #11489 Cannot copy a database under certain conditions

4.4.15.1 (2015-10-23)
- issue #11464 phpMyAdmin suggests upgrading to newer version not usable on that system
- issue        [security] Content spoofing on url.php

4.4.15.0 (2015-09-20)
- issue #11411 Undefined "replace" function on numeric scalar
- issue #11421 Stored-proc / routine - broken parameter parsing
- issue        Missing name for configuration read_as_multibytes
- issue #11431 Incorrect "No row selected" message
- issue #11447 MySQL 5.5 and the language system variable
- issue #11452 Semantics of export and import icons are mixed up
- issue #11451 Designer-Bug in move.js on multiple server configuration
- issue #11458 Invalid UTF-8 sequence in argument
- issue #11457 Request URI too large
- issue        Invalid argument supplied for foreach()
- issue #11461 Foreign key constraints for InnoDB tables with upper-case letters disabled
- issue #11487 Warning when entering Query page

4.4.14.1 (2015-09-08)
- issue        [security] reCaptcha bypass

4.4.14.0 (2015-08-20)
- issue #11367 Export after search, missing WHERE clause
- issue #11380 Incomplete message after import
- issue        Incorrect scalar type declaration (reported under PHP 7)
- issue #11389 ReCaptcha produces deprecated messages under PHP 7
- issue #11387 phpseclib < 2.0 produces deprecated messages on PHP 7
- issue #11404 "Switch to copied table" doesn't work
- issue #11406 Missing quotes after calling "distinct values"
- issue #11386 Cannot import database with long data in one column
- issue #11410 SPATIAL index option is not clickable

4.4.13.1 (2015-08-08)
- issue #11368 SQL error when importing phpMyAdmin dump file

4.4.13.0 (2015-08-07)
- issue #1808  "Improve table structure" generates invalid SQL
- issue        Once checked "Show only active" checkbox is always checked
- issue #1813  Delete rows using "Check All" is broken
- issue        Fix PHP 7 possible binding ambiguity
- issue #11326 Exported schema includes all the tables of the database
- issue #11339 Results not displayed if query ends in delimiter and comment
- issue #11320 Live edit of data fields is not working always
- issue        Table list in navigation collapses when entering into a table in another page
- issue #11364 JS error while trying to auto navigate to db structure page when db creation has failed

4.4.12.0 (2015-07-20)
- bug       Saved chart image does not have a proper name or an extension
- bug #4976 Timepicker CSS issues in Original theme
- bug #4975 Move/Copy/Rename operations on Table/Db fail on Drizzle server
- bug #4826 Two inline edit windows
- bug #4979 Problem when import *.ods file
- bug       Add missing head tag
- bug #4985 Column headers move when scrolling

4.4.11.0 (2015-07-06)
- bug       Missing selected/entered values when editing active options in visual query builder
- bug #4969 Autoload from prefs_storage not behaving properly
- bug #4972 Incorrect length computed for binary data
- bug       Remove character set from create_tables_drizzle.sql
- bug #4973 Users overview needs clarification
- bug #4974 Creating a database from console doesn't update navigation panel
- bug #4844 FAQ 1.17 needs an update

4.4.10.0 (2015-06-17)
- bug #4950 Issues in database selection for replication
- bug #4951 Trying to save chart as image crashes the browser
- bug #4953 cant drag sql.gz file onto import input
- bug #4960 Table creation results in GET request with missing server parameter that invalidates the session
- bug #4961 Javascript error when Designer is opened
- bug #4962 Insert by foreign key scrolls page to top
- bug #4955 Clicking on the navi logo does not always work
- bug       External URL for $cfg['NavigationLogoLink'] causes JavaScript error when clicked

4.4.9.0 (2015-06-04)
- bug #4920 relation view doesn't list fields of table in other database
- bug #4905 Sorting by an alias
- bug #4931 False error before entering reCAPTCHA
- bug #4909 central column with multiple server
- bug #4937 Custom export with backquotes off is not working
- bug #4908 Reverse proxy: infinite internal redirect (added warning in doc)
- bug #4942 Export to gzip saves plain text under Chrome

4.4.8.0 (2015-05-28)
- bug       Allow accessing visual query builder when pmadb is not configured
- bug #4893 Nav tree line alignment issue
- bug #4911 Lock page icon is not shown after fresh reload
- bug #4912 "Highlight pointer" and "Row marker" doesn't work properly
- bug       Browse foreigners window goes out of the window
- bug #4918 Date field popup dialog position bug
- bug       In /setup, PMA_messages is not defined
- bug #4924 Recaptcha failure
- bug #4930 Database copy doesn't work for tables with more than one FULLTEXT index
- bug #4929 Edit view structure doesn't load the algorithm
- bug #4923 Do not limit table comments to 60 characters

4.4.7.0 (2015-05-16)
- bug #4876 Settings issues (Favorite tables shown twice in Settings)
- bug #4896 Non-styled error page when following results link
- bug #4894 Deleting without confirmation
- bug #4858 Issues with SQL autocomplete
- bug #4897 Column hint in SQL autocomplete is sometimes not shown
- bug #4898 JS error after selecting a field and press Enter
- bug       Honor proxy settings when getting Git commit information
- bug       Missing title on link
- bug #4512 ForceSSL Redirect Check
- bug       Undefined index collation_connection
- bug       Error when the reporting server is down
- bug       Escape database and table names for partition maintenance
- bug       Invalid value for CURLOPT_SSL_VERIFYPEER
- bug #4367 Import status infinite loop
- bug #4902 Designer: Loading does not work
- bug #4904 Setup: Overview > Display does not work
- bug #4906 Designer: pages from all databases

4.4.6.1 (2015-05-13)
- bug #4899 [security] CSRF vulnerability in setup
- bug #4900 [security] Vulnerability allowing man-in-the-middle attack

4.4.6.0 (2015-05-07)
- bug #4890 webkitStorageInfo and webkitIndexedDB is deprecated
- bug #4892 Undefined variable: unique_conditions
- bug #4891 CSV Import ignores "Replace table data with file" checkbox

4.4.5.0 (2015-05-05)
- bug       Table overhead stats: missing space before the unit
- bug       Fix resize icon in Designer
- bug #4879 Exit fullscreen in Designer does not change the button text
- bug #4880 Designer icons missing when using original theme
- bug #4878 Column list of central columns is not cleared
- bug #4881 jQuery dialogs of the Designer are not displayed in fullscreen
- bug #4883 Search function breaks when searching for certain combinations of backslashes and slashes
- bug #4830 Maximum execution time exceeded in Util.class.php (better fix)
- bug #4885 Some icons are above the overlay of jQuery dialogs
- bug #4886 Clicking on external links in advisor rules give JS error
- bug #4888 Filter in central columns does not work in other languages

4.4.4.0 (2015-04-26)
- bug #4863 Edit vs Change
- bug #4859 Don't scroll (to bottom) when editing multiple rows
- bug #4862 Misaligned Inline edit field
- bug #4861 Use of undefined constant PMA_DRIZZLE
- bug #4865 sprintf(): Too few arguments
- bug #4866 Limit column ordering in index edit dialog
- bug #4867 Incorrect ALTER TABLE statement generated
- bug #4870 Inconsistency in 'Ignore' checkbox in insert page
- bug #4869 Drop column action not asking to confirm
- bug #4871 Error on creating table
- bug       Undefined index: Rows

4.4.3.0 (2015-04-20)
- bug #4851 PHP errors in login dialogue
- bug #4207 json_encode error due to strftime returning non utf8 chars in Windows 8.1 Chinese version
- bug #4845 White screen (Cloudflare)
- bug #4794 Server error viewing table content
- bug       Fix issues related to number of decimal places in time
- bug #4853 Relation view between 1600 and 1780 px
- bug       PHP 7 compatibility in php-gettext
- bug       PHP 7 compatibility in bfShapeFiles
- bug       PHP 7 session_regenerate_id() warning
- bug #4857 Alter table after changing column name error
- bug #4830 Maximum execution time exceeded in Util.class.php

4.4.2.0 (2015-04-13)
- bug #4835 PMA_hideShowConnection not called after submit_num_fields
- bug #4836 Server warning after moving from console to direct clicks
- bug #4837 Duplicate new version notification when using the "Back" button
- bug #4839 DOC link in setting is broken
- bug #4841 Status page: Mislukte pogingen per uur value is incorrect
- bug       MIME Transformation link fixed
- bug #4838 Prevents console window from moving out of the screen height
- bug #4829 Create procedure via SQL Editor not more possible
- bug #4833 CSS and Javascript are not compressed
- bug #4849 Functions accessed from navigation do not load on ajax dialog
- bug #4850 Relation view on 1920

4.4.1.1 (2015-04-08)
- bug #4846 Web server's error log is flooded

4.4.1.0 (2015-04-07)
- bug #4813 MySQL 5.7.6 and the Users menu tab
- bug #4818 MySQL 5.7.6 and changing the password for another user
- bug #4819 Request URI too large
- bug #4814 MySQL 5.7.6 and Databases
- bug       Use 'server' parameter in console to work in multi server environments
- bug       Missing tooltip in monitor
- bug       Missing sort icons in monitor
- bug #4805 Inline edit broken when using functions in query
- bug #4821 Timed-out import fails to restart when file represented
- bug #4754 pMA DB not detected properly
- bug #4825 Datepicker missing when changing number of rows on Insert page
- bug #4824 INNODB STATUS page is empty
- bug #4828 JavaScript is loaded in wrong order
- bug #4827 TEXT formatting doesn't work after inline editing
- bug #4822 Compress when php.ini output_buffering is active
- bug #4832 Sorting distinct values result loses links
- bug #4834 Do not attach token to css requests to improve caching

4.4.0.0 (2015-04-01)
+ rfe #1553 InnoDB presently supports one FULLTEXT index creation at a time
+ rfe #1562 Allow tracking multiple table at once from database level tracking page
+ rfe #1564 Improve action message on Tracking page
+ rfe #1566 Change value of "Number of rows:" when "Show all" is checked
+ rfe       Focus console by clicking on white space
+ rfe #1507 Part 1: Cycle through console history with keyboard up/down arrows
+ rfe #1579 Default to primary key when adding relation
+ rfe #1572 User prefs: Diff-friendly JSON for config
+ rfe #1567 Sever Variables Table UI Improvements
- bug #4675 phpMyAdmin should be able to work without 'examples' DIR - move SQL scripts to sql directory
+ rfe #1578 Warn about reserved word only when a column is created
+ rfe #1590 Recaptcha API v2
+ rfe #1580 Individual Zeroconf PMA tables support
+ rfe #1525 Generate keys one per line
+ rfe #347  allow table with transformed column anywhere in FROM clause
+ rfe #1591 Shortcut link to search page
+ rfe #1568 Fold Add Column After / Before into dropdown
- bug #4705 Table structure: adding primary key doesn't refresh page
+ rfe #1582 SQL formatter
+ rfe #1597 Fast filter improvement: remove "x other results found"
- bug #4720 No error message on Missing extension mbstring
+ rfe #801  Builtin transformations and relations
+ rfe #767  USING BTREE support for HEAP/MEMORY tables
+ rfe #1596 Make "Options > Relational" configurable
+ rfe #719  More details in PDF relation view
+ rfe #1096 Cannot enter connection for federated engine table
+ rfe #954  Allow SALT in ENCRYPT function
+ rfe #1260 Setting LoginCookieValidity > session.gc_maxlifetime
+ rfe       Transformation for JSON
- bug       Fix isCanvasSupported for new window
+ rfe #1600 Clarify the "Inline" link
+ rfe #1179 Speed up slow triggers by using EVENT_OBJECT_SCHEMA
+ rfe #1192 ON DUPLICATE KEY UPDATE for loading CSV
- bug       Cannot execute command from console (multi-server installation)
+ rfe #1208 linking from information_schema
+ rfe #1235 Relation view: move to main "Structure" page
+ rfe #1558 Designer menu with explicit text
+ rfe #937  Relations with views like with tables
+ rfe #1241 Browse Field -> Search
+ rfe #723  Provide sanity check for table/column names (table names)
+ rfe #1312 SessionTimeZone configuration directive
- bug       Add missing confirmation when deleting tracking report entries
+ rfe       Ability to disable foreign key check when emptying tables
+ rfe #1549 Reset auto-increment when exporting structure
+ rfe #1602 Recover query in redaction after session end
+ rfe #1605 After database creation, go to database structure page
+ rfe #1604 Show PHP version
- bug #4770 Multiple delete on table browse ignoring foreign key checkbox
+ rfe       CodeMirror based SQL editor as an input transformation
+ rfe #1275 CodeMirror based JSON editor as an input transformation
+ rfe #685  Editor for HTML content
+ rfe #1595 make professional code editor suggestion
+ rfe #1606 processlist filter
+ rfe       Change tracking activation status from db level tracking page
+ rfe #1207 Export users associated with a specific schema/database
+ rfe #1575 "Disable database expansion" : unclear directive name and
explanation
+ rfe #1607 Tool tip for lock icon when making changes to a page
+ rfe #1327 Hide 'Add user' link if user does not have privileges
+ rfe #501  Support for SSL GRANT option
+ rfe #1608 Central columns allowing setting SIGNED / UNSIGNED attribute for integer
+ rfe #1441 Add regexp match when using AllowArbitraryServer
- bug #4806 Unable to work with two different servers in two tabs

4.3.14.0 (not yet released)


4.3.13.0 (2015-03-29)
- bug #4803 "Show hidden items" is sometimes hidden
- bug #4807 Breaks when sorting by multiple columns while using UNION
- bug #4798 Missing column when exporting in sql
- bug #4810 Broken find and replace
- bug #4804 Undefined Index after export schema
- bug #4802 Changelog page is not working
- bug #4815 Infinite calls to index.php
- bug #4820 Invalid links to dev.mysql.com
- bug #4718 simulate query fails, but actual query does not

4.3.12.0 (2015-03-14)
- bug #4746 Right-aligned columns have left-aligned header
- bug #4779 PMA_Util::parseEnumSetValues fails on enums with UTF-8 values
- bug       Undefined index savedsearcheswork
- bug #4788 Inline edit of DATE fields with NULL, NULL checkbox is under datepicker
- bug #4790 DROP TABLE/VIEW IF EXISTS are not tracked
- bug       Compatibility with central columns of version 4.4
- bug #4758 Firefox with auth_type to http with multiple server doesn't work anymore
- bug #4789 Views aren't dropped when copying a database
- bug #4784 Incomplete bookmark saving
- bug #4786 SELECT width on relations page

4.3.11.1 (2015-03-04)
- bug       [security] Risk of BREACH attack, see PMASA-2015-1

4.3.11.0 (2015-03-02)
- bug #4774 SQL links are completely wrong
- bug #4768 MariaDB: version mismatch
- bug #4777 Some images are missing in Designer for original theme
- bug #4767 Drizzle: undefined index in mysql_charsets.inc.php
- bug #4753 Normal field and multi-line field have different margins
- bug #4760 Cannot re-import settings from local storage
- bug #4778 SQL error when database list is sorted by additional columns
- bug #4780 Notice when timestamp column does not have default value

4.3.10.0 (2015-02-20)
- bug       Undefined index navwork
- bug #4744 Opening console scroll down the page
- bug       Remove extra column heading in view structure page
- bug       Add missing confirmation when deleting central columns
- bug       Undefined index DisableIS
- bug #4763 Database export with more than 512 tables fails
- bug #4769 Previously set column aliases are destroyed if returned to the same table
- bug #4752 Incorrect page after creating table
- bug #4771 Central Columns not working, showing error

4.3.9.0 (2015-02-05)
- bug #4728 Incorrect headings in routine editor
- bug #4730 Notice while browsing tables when phpmyadmin pma database exists, but not all the tables
- bug #4729 Display original field when using "Relational display column" option and display column is empty
- bug #4734 Default values for binary fields do not support binary values
- bug #4736 Changing display options breaks query highlighting
- bug       Undefined index submit_type
- bug #4738 Header lose align when scrolling in Firefox
- bug #4741 in ./libraries/Advisor.class.php#184 vsprintf(): Too few arguments
- bug #4743 Unable to move cursor with keyboard in filter rows box
- bug       Incorrect link in doc
- bug #4745 Tracking does not handle views properly
- bug #4706 Schema export doesn't handle dots in db/table name
- bug #3935 Table Header not displayed correct (Safari 5.0.5 Mac)
- bug #4750 Disable renaming referenced columns
- bug #4748 Column name center-aligned instead of left-aligned in Relations

4.3.8.0 (2015-01-24)
- bug       Undefined constant PMA_DRIZZLE
- bug #4712 Wrongly positioned date-picker while Grid-Editing
- bug #4714 Forced ORDER BY for own sql statements
- bug #4721 Undefined property: stdClass::$version
- bug #4719 'only_db' not working
- bug #4700 Error text: Internal Server Error
- bug #4722 Incorrect width table summary when favorite tables is disabled
- bug #4716 Collapse all in navigation panel is sometimes broken
- bug #4724 Cannot navigate in filtered table list
- bug #4717 Database navigation menu broken when resolution/screen is changing
- bug #4727 Collation column missing in database list when DisableIS is true
- bug       Undefined index central_columnswork
- bug       Undefined index favorite_tables

4.3.7.0 (2015-01-15)
- bug #4694 js error on marking table as favorite in Safari (in private mode)
- bug #4695 Changing $cfg['DefaultTabTable'] doesn't update link and title
- bug       Undefined index menuswork
- bug       Undefined index navwork
- bug       Undefined index central_columnswork
- bug #4697 Server Status refresh not behaving as expected
- bug       Null argument in array_multisort()
- bug #4699 Navigation panel should not hide icons based on 'TableNavigationLinksMode'
- bug #4703 Unsaved schema page exported as pdf.pdf
- bug #4707 Call to undefined method PMA_Schema_PDF::dieSchema()
- bug #4702 URL is non RFC-2396 compatible in get_scripts.js.php

4.3.6.0 (2015-01-07)
- bug       Undefined index notices while configuring recent and favorite tables
- bug #4687 Designer breaks without configuration storage
- bug #4686 Select elements flicker and selects something else
- bug #4689 Setup tool creates "pma__favorites" incorrectly
- bug #4685 Call to a member function isUserType() on a non-object
- bug #4691 Do not include console when no server is selected
- bug #4688 File permissions in archive
- bug #4692 Dynamic javascripts gives 500 when db selected

4.3.5.0 (2015-01-05)
- bug       Auto-configuration: tables were not created automatically
- bug #4677 Advanced feature checker does not check for favorite tables feature
- bug #4678 Some of the data stored in configuration storage are not deleted upon db or table delete
- bug #4679 Setup does not allow providing a name for favorites table
- bug #4680 Number of favorite table are not configurable in setup
- bug #4681 'Central columns table' field in setup does not have a description
- bug #4318 Default connection collation and sorting
- bug #4683 Relational data is not properly updated on table rename
- bug #4655 Undefined index: collation_connection (second patch)
- bug #4682 4.3.3 & 4.3.4 Import sql created by mysqldump fails on foreign keys
- bug #4676 Auto-configuration issues
- bug #4416 New lines are removed when grid editing (part two: TEXT)

         --- Older ChangeLogs can be found on our project website ---
                     http://www.phpmyadmin.net/old-stuff/ChangeLogs/

# vim: et ts=4 sw=4 sts=4
# vim: ft=changelog fenc=utf-8
# vim: fde=getline(v\:lnum-1)=~'^\\s*$'&&getline(v\:lnum)=~'\\S'?'>1'\:1&&v\:lnum>4&&getline(v\:lnum)!~'^#'
# vim: fdn=1 fdm=expr
